<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlvisitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlvisitor</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../IDL.html" >IDL</a>.idlvisitor

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="idlvisitor/AstVisitor.html" >AstVisitor</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line65" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="idlvisitor/TypeVisitor.html" >TypeVisitor</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.TypeVisitor" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line127" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="idlvisitor/AstVisitor.html" >AstVisitor</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line65" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Visitor for AST nodes

Functions:

  visitAST&#40;node&#41;
  visitModule&#40;node&#41;
  visitInterface&#40;node&#41;
  visitForward&#40;node&#41;
  visitConst&#40;node&#41;
  visitDeclarator&#40;node&#41;
  visitTypedef&#40;node&#41;
  visitMember&#40;node&#41;
  visitStruct&#40;node&#41;
  visitStructForward&#40;node&#41;
  visitException&#40;node&#41;
  visitCaseLabel&#40;node&#41;
  visitUnionCase&#40;node&#41;
  visitUnion&#40;node&#41;
  visitUnionForward&#40;node&#41;
  visitEnumerator&#40;node&#41;
  visitEnum&#40;node&#41;
  visitAttribute&#40;node&#41;
  visitParameter&#40;node&#41;
  visitOperation&#40;node&#41;
  visitNative&#40;node&#41;
  visitStateMember&#40;node&#41;
  visitFactory&#40;node&#41;
  visitValueForward&#40;node&#41;
  visitValueBox&#40;node&#41;
  visitValueAbs&#40;node&#41;
  visitValue&#40;node&#41;</div></div>
<div class="item"><div class="synopsis">class <a href="idlvisitor/TypeVisitor.html" >TypeVisitor</a></div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.TypeVisitor" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line127" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Visitor for Type objects

Functions:

  visitBaseType&#40;type&#41;
  visitStringType&#40;type&#41;
  visitWStringType&#40;type&#41;
  visitSequenceType&#40;type&#41;
  visitFixedType&#40;type&#41;
  visitDeclaredType&#40;type&#41;</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
